<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::ComponentFilterAbsolutePathNameContainsString Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::ComponentFilterAbsolutePathNameContainsString Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A component is considered a match if its absolute path name contains the given string.  
 <a href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::ComponentFilterAbsolutePathNameContainsString:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.png" usemap="#OpenSim::ComponentFilterAbsolutePathNameContainsString_map" alt=""/>
  <map id="OpenSim::ComponentFilterAbsolutePathNameContainsString_map" name="OpenSim::ComponentFilterAbsolutePathNameContainsString_map">
<area href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components." alt="OpenSim::ComponentFilter" shape="rect" coords="0,0,349,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a397d4e1d6a81a9d4ea17fc7367b48435"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#a397d4e1d6a81a9d4ea17fc7367b48435">ComponentFilterAbsolutePathNameContainsString</a> (const std::string &amp;substring)</td></tr>
<tr class="separator:a397d4e1d6a81a9d4ea17fc7367b48435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3efede2c41dbe941cf158d51bd189d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#a1e3efede2c41dbe941cf158d51bd189d">isMatch</a> (const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;comp) const override</td></tr>
<tr class="memdesc:a1e3efede2c41dbe941cf158d51bd189d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the meat of the <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, returns false if the passed in component should be skipped over.  <a href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#a1e3efede2c41dbe941cf158d51bd189d">More...</a><br /></td></tr>
<tr class="separator:a1e3efede2c41dbe941cf158d51bd189d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab174e16e2419afb9c11f44cf31de66c3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html">ComponentFilterAbsolutePathNameContainsString</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#ab174e16e2419afb9c11f44cf31de66c3">clone</a> () const override</td></tr>
<tr class="memdesc:ab174e16e2419afb9c11f44cf31de66c3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#ab174e16e2419afb9c11f44cf31de66c3" title="clone() method needed to make a copy of the filter.">clone()</a> method needed to make a copy of the filter.  <a href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#ab174e16e2419afb9c11f44cf31de66c3">More...</a><br /></td></tr>
<tr class="separator:ab174e16e2419afb9c11f44cf31de66c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1ComponentFilter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1ComponentFilter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1ComponentFilter.html">OpenSim::ComponentFilter</a></td></tr>
<tr class="memitem:aec539924c67860eea07aa67fa5cfbb60 inherit pub_methods_classOpenSim_1_1ComponentFilter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilter.html#aec539924c67860eea07aa67fa5cfbb60">~ComponentFilter</a> ()</td></tr>
<tr class="memdesc:aec539924c67860eea07aa67fa5cfbb60 inherit pub_methods_classOpenSim_1_1ComponentFilter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor of <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, does nothing.  <a href="classOpenSim_1_1ComponentFilter.html#aec539924c67860eea07aa67fa5cfbb60">More...</a><br /></td></tr>
<tr class="separator:aec539924c67860eea07aa67fa5cfbb60 inherit pub_methods_classOpenSim_1_1ComponentFilter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A component is considered a match if its absolute path name contains the given string. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a397d4e1d6a81a9d4ea17fc7367b48435"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a397d4e1d6a81a9d4ea17fc7367b48435">&#9670;&nbsp;</a></span>ComponentFilterAbsolutePathNameContainsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::ComponentFilterAbsolutePathNameContainsString::ComponentFilterAbsolutePathNameContainsString </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>substring</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab174e16e2419afb9c11f44cf31de66c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab174e16e2419afb9c11f44cf31de66c3">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html">ComponentFilterAbsolutePathNameContainsString</a>* OpenSim::ComponentFilterAbsolutePathNameContainsString::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#ab174e16e2419afb9c11f44cf31de66c3" title="clone() method needed to make a copy of the filter.">clone()</a> method needed to make a copy of the filter. </p>
<p><br  />
 </p>

<p>Implements <a class="el" href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2">OpenSim::ComponentFilter</a>.</p>

</div>
</div>
<a id="a1e3efede2c41dbe941cf158d51bd189d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3efede2c41dbe941cf158d51bd189d">&#9670;&nbsp;</a></span>isMatch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::ComponentFilterAbsolutePathNameContainsString::isMatch </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;&#160;</td>
          <td class="paramname"><em>comp</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the meat of the <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, returns false if the passed in component should be skipped over. </p>

<p>Implements <a class="el" href="classOpenSim_1_1ComponentFilter.html#a0e54ae12d9b0e425208a1de453a47175">OpenSim::ComponentFilter</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/ComponentList.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html">ComponentFilterAbsolutePathNameContainsString</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:42 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
